# X3dHead (JavaFX 3D Model Importers)
Date: 2014-02-09

com.interactivemesh.jfx.importer.x3d

## Class X3dHead

- java.lang.Object
- - com.interactivemesh.jfx.importer.x3d.X3dHead

    public final class X3dHead
    extends java.lang.Object

An X3dHead object comprises attributes of the X3D root element and the component, meta, and unit elements of its head child element. Only the declarations of the main X3D file are provided.

### Nested Class Summary

Nested Classes
`static class` `X3dHead.UnitCat` Base unit category.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<javafx.util.Pair<java.lang.String,java.lang.Integer>>` `getComponents()` Gets the list which contains explicitly declared additional components.
`java.util.List<javafx.util.Pair<java.lang.String,java.lang.String>>` `getMedadata()` Gets the list which contains metadata of the X3D file.
`java.lang.String` `getProfile()` Gets the profile declaration specifying the set of components and their support levels.
`java.util.Map<X3dHead.UnitCat,javafx.util.Pair<java.lang.String,java.lang.Double>>` `getUnits()` Gets the map which contains altered initial base units.
`java.lang.String` `getVersion()` Gets the version number of the X3D standard being supported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getVersion

    public java.lang.String getVersion()

Gets the version number of the X3D standard being supported.

Returns:
  version number

#### getProfile

    public java.lang.String getProfile()

Gets the profile declaration specifying the set of components and their support levels.

Returns:
  profile declaration

#### getComponents

    public java.util.List<javafx.util.Pair<java.lang.String,java.lang.Integer>> getComponents()

Gets the list which contains explicitly declared additional components. A Pair object provides the additional component name and its support level.

Returns:
  additional components

#### getMedadata

    public java.util.List<javafx.util.Pair<java.lang.String,java.lang.String>> getMedadata()

Gets the list which contains metadata of the X3D file. A Pair object provides a key and data pair.

Returns:
  metadata about the X3D file

#### getUnits

    public java.util.Map<X3dHead.UnitCat,javafx.util.Pair<java.lang.String,java.lang.Double>> getUnits()

Gets the map which contains altered initial base units. In case of an altered base unit a Pair object provides the new unit name and the corresponding conversion factor.

Returns:
  altered base units

Copyright (C) 2013-2014 InteractiveMesh e.K.